Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eu.osci
Class OSCIConstants

    java.lang.Object
      eu.osci.OSCIConstants

    public class OSCIConstants

extends java.lang.Object

The class for constants in the OSCI 2 context.
Copyright © 2010 Freie Hansestadt Bremen.
Created by bremen online services Entwicklungs- und Betriebsgesellschaft mbH & Co. KG.
This library (Starter Kit) can be used by anybody according to the Bremer Lizenz für freie Softwarebibliotheken. The license terms can be viewed at www.osci.de or can be ordered at the OSCI-Leitstelle (Die Senatorin für Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40, 28015 Bremen).

Field Summary
`static java.lang.String` | `ANONYMOUS_ADDRESS` Addressing value for anonymous endpoints (replyTo).
`static java.lang.String` | `ASYMMETRIC_CIPHER_ALGORITHM_RSA_1_5` Algorithm for asymmetric encryption RSAES-PKCS1-v1_5.
`static java.lang.String` | `CHAR_ENCODING` Character encoding UTF-8.
`static java.lang.String` | `DIGEST_ALGORITHM_RIPEMD160` Algorithm for hash value creation, constant for RIPEMD160.
`static java.lang.String` | `DIGEST_ALGORITHM_SHA1` Algorithm for hash value creation, constant for SHA1.
`static java.lang.String` | `DIGEST_ALGORITHM_SHA256` Algorithm for hash value creation, constant for SHA256.
`static java.lang.String` | `DIGEST_ALGORITHM_SHA512` Algorithm for hash value creation, constant for SHA512.
`static java.util.Hashtable<java.lang.String,java.lang.String>` | `JCA_JCE_MAP` Hashtable with the required JCA/JCE identifiers.
`static java.lang.String` | `NAMESPACE_ADDRESSING` The namespace for the addressing elements.
`static java.lang.String` | `NAMESPACE_OSCI20` The namespace of OSCI 2.
`static java.lang.String` | `NAMESPACE_XKMS` The namespace for XKMS.
`static javax.xml.namespace.QName` | `QNAME_COMPOUND_RESULT` The QName for the XKMS 'CompoundResult' element.
`static javax.xml.namespace.QName` | `QNAME_RSTR_COLLECTION` The QName for WS-Trust 'RequestSecurityTokenResponseCollection' element.
`static java.lang.String` | `RECIPIENT_ISSUER_ROLE_MSGBOX` This is the one possible value for the attribute ReceiptIssuerRole from the element RecipientInfo.
`static java.lang.String` | `RECIPIENT_ISSUER_ROLE_RECIPIENT` This is the one possible value for the attribute ReceiptIssuerRole from the element RecipientInfo.
`static java.lang.String` | `SIGNATURE_ALGORITHM_RSA_RIPEMD160` Algorithm for signature creation, constant for RIPEMD160withRSA.
`static java.lang.String` | `SIGNATURE_ALGORITHM_RSA_SHA1` Algorithm for signature creation, constant for SHA1withRSA.
`static java.lang.String` | `SIGNATURE_ALGORITHM_RSA_SHA256` Algorithm for signature creation, constant for SHA256withRSA.
`static java.lang.String` | `SIGNATURE_ALGORITHM_RSA_SHA512` Algorithm for signature creation, constant for SHA512withRSA.
`static java.lang.String` | `SYMMETRIC_CIPHER_ALGORITHM_AES128` Algorithm for symmetric encryption AES-128.
`static java.lang.String` | `SYMMETRIC_CIPHER_ALGORITHM_AES192` Algorithm for symmetric encryption AES-192.
`static java.lang.String` | `SYMMETRIC_CIPHER_ALGORITHM_AES256` Algorithm for symmetric encryption AES-256.
`static java.lang.String` | `SYMMETRIC_CIPHER_ALGORITHM_TDES_CBC` Algorithm for symmetric encryption Two-Key-Triple-DES (CBC-Mode).
`static java.lang.String` | `TRANSFORM_CANONICALIZATION` Canonicalisation
`static java.lang.String` | `TYPE_OF_BUS_CON_NOTIFICATION`

Constructor Summary
`OSCIConstants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JCA_JCE_MAP

    public static final java.util.Hashtable<java.lang.String,java.lang.String> JCA_JCE_MAP

  Hashtable with the required JCA/JCE identifiers.

### CHAR_ENCODING

    public static final java.lang.String CHAR_ENCODING

  Character encoding UTF-8.

  See Also:
    Constant Field Values

### ANONYMOUS_ADDRESS

    public static final java.lang.String ANONYMOUS_ADDRESS

  Addressing value for anonymous endpoints (replyTo).

  See Also:
    Constant Field Values

### RECIPIENT_ISSUER_ROLE_MSGBOX

    public static final java.lang.String RECIPIENT_ISSUER_ROLE_MSGBOX

  This is the one possible value for the attribute ReceiptIssuerRole from the element RecipientInfo.

  See Also:
    Constant Field Values

### RECIPIENT_ISSUER_ROLE_RECIPIENT

    public static final java.lang.String RECIPIENT_ISSUER_ROLE_RECIPIENT

  This is the one possible value for the attribute ReceiptIssuerRole from the element RecipientInfo.

  See Also:
    Constant Field Values

### NAMESPACE_ADDRESSING

    public static final java.lang.String NAMESPACE_ADDRESSING

  The namespace for the addressing elements.

  See Also:
    Constant Field Values

### NAMESPACE_OSCI20

    public static final java.lang.String NAMESPACE_OSCI20

  The namespace of OSCI 2.

  See Also:
    Constant Field Values

### NAMESPACE_XKMS

    public static final java.lang.String NAMESPACE_XKMS

  The namespace for XKMS.

  See Also:
    Constant Field Values

### QNAME_COMPOUND_RESULT

    public static final javax.xml.namespace.QName QNAME_COMPOUND_RESULT

  The QName for the XKMS 'CompoundResult' element.

### QNAME_RSTR_COLLECTION

    public static final javax.xml.namespace.QName QNAME_RSTR_COLLECTION

  The QName for WS-Trust 'RequestSecurityTokenResponseCollection' element.

### SIGNATURE_ALGORITHM_RSA_SHA1

    public static final java.lang.String SIGNATURE_ALGORITHM_RSA_SHA1

  Algorithm for signature creation, constant for SHA1withRSA.

  See Also:
    Constant Field Values

### SIGNATURE_ALGORITHM_RSA_SHA256

    public static final java.lang.String SIGNATURE_ALGORITHM_RSA_SHA256

  Algorithm for signature creation, constant for SHA256withRSA.

  See Also:
    Constant Field Values

### SIGNATURE_ALGORITHM_RSA_SHA512

    public static final java.lang.String SIGNATURE_ALGORITHM_RSA_SHA512

  Algorithm for signature creation, constant for SHA512withRSA.

  See Also:
    Constant Field Values

### SIGNATURE_ALGORITHM_RSA_RIPEMD160

    public static final java.lang.String SIGNATURE_ALGORITHM_RSA_RIPEMD160

  Algorithm for signature creation, constant for RIPEMD160withRSA.

  See Also:
    Constant Field Values

### DIGEST_ALGORITHM_SHA1

    public static final java.lang.String DIGEST_ALGORITHM_SHA1

  Algorithm for hash value creation, constant for SHA1.

  See Also:
    Constant Field Values

### DIGEST_ALGORITHM_SHA256

    public static final java.lang.String DIGEST_ALGORITHM_SHA256

  Algorithm for hash value creation, constant for SHA256.

  See Also:
    Constant Field Values

### DIGEST_ALGORITHM_SHA512

    public static final java.lang.String DIGEST_ALGORITHM_SHA512

  Algorithm for hash value creation, constant for SHA512.

  See Also:
    Constant Field Values

### DIGEST_ALGORITHM_RIPEMD160

    public static final java.lang.String DIGEST_ALGORITHM_RIPEMD160

  Algorithm for hash value creation, constant for RIPEMD160.

  See Also:
    Constant Field Values

### SYMMETRIC_CIPHER_ALGORITHM_TDES_CBC

    public static final java.lang.String SYMMETRIC_CIPHER_ALGORITHM_TDES_CBC

  Algorithm for symmetric encryption Two-Key-Triple-DES (CBC-Mode).

  See Also:
    Constant Field Values

### SYMMETRIC_CIPHER_ALGORITHM_AES128

    public static final java.lang.String SYMMETRIC_CIPHER_ALGORITHM_AES128

  Algorithm for symmetric encryption AES-128.

  See Also:
    Constant Field Values

### SYMMETRIC_CIPHER_ALGORITHM_AES192

    public static final java.lang.String SYMMETRIC_CIPHER_ALGORITHM_AES192

  Algorithm for symmetric encryption AES-192.

  See Also:
    Constant Field Values

### SYMMETRIC_CIPHER_ALGORITHM_AES256

    public static final java.lang.String SYMMETRIC_CIPHER_ALGORITHM_AES256

  Algorithm for symmetric encryption AES-256.

  See Also:
    Constant Field Values

### ASYMMETRIC_CIPHER_ALGORITHM_RSA_1_5

    public static final java.lang.String ASYMMETRIC_CIPHER_ALGORITHM_RSA_1_5

  Algorithm for asymmetric encryption RSAES-PKCS1-v1_5.

  See Also:
    Constant Field Values

### TYPE_OF_BUS_CON_NOTIFICATION

    public static final java.lang.String TYPE_OF_BUS_CON_NOTIFICATION

See Also:
  Constant Field Values

### TRANSFORM_CANONICALIZATION

    public static final java.lang.String TRANSFORM_CANONICALIZATION

  Canonicalisation

  See Also:
    Constant Field Values

Constructor Detail

### OSCIConstants

    public OSCIConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Freie Hansestadt Bremen.